Bug 131790 - Confirm dialog on Cancel
Confirm dialog on Cancel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-04 12:14 EDT by Ricardo Veguilla
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:24:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ricardo Veguilla 2004-09-04 12:14:53 EDT
Up2date will silently exit after clicking "Cancel" during the "Package
Retrival" stage. I dont know if it was designed to be that way or if
its just a bug, but I think it should display a confirmation dialog in
case the user accidentally clicked "Cancel".
Comment 1 Chris Kuivenhoven 2004-09-04 16:28:28 EDT
Definitely agreed. I end up doing this accidentally once every couple
of days. The confirmation box would be good logic, as would fixing the
cause of hitting cancel in the first place: at least in my case, it's
because the width of the box is variable, which moves the buttons
around. Instead of accepting the update, I'll forget to move the mouse
over an inch and hit cancel instead.

-Chris Kuivenhoven
Comment 2 John Thacker 2006-10-29 15:24:36 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 3 John Thacker 2006-11-05 11:24:47 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.